# Changelog

## [integrations/ollama-v2.3.0] - 2025-01-29

### 🚀 Features

- Add `response_format` param to `OllamaChatGenerator` (#1326)


## [integrations/ollama-v2.2.0] - 2025-01-16

### 🚀 Features

- Ollama - add support for tools (#1294)


## [integrations/ollama-v2.1.2] - 2024-12-18

### 🐛 Bug Fixes

- Make Ollama Chat Generator compatible with new ChatMessage (#1256)


## [integrations/ollama-v2.1.1] - 2024-12-10

### 🌀 Miscellaneous

- Chore: use `text` instead of `content` for `ChatMessage` in Ollama (#1239)

## [integrations/ollama-v2.1.0] - 2024-11-28

### 🚀 Features

- `OllamaDocumentEmbedder` - allow batching embeddings (#1224)

### 🌀 Miscellaneous

- Chore: update changelog for `ollama-haystack==2.0.0` (#1214)
- Chore: use class methods to create `ChatMessage` (#1222)

## [integrations/ollama-v2.0.0] - 2024-11-22

### 🐛 Bug Fixes

- Adapt to Ollama client 0.4.0 (#1209)

### ⚙️ CI

- Adopt uv as installer (#1142)


## [integrations/ollama-v1.1.0] - 2024-10-11

### 🚀 Features

- Add `keep_alive` parameter to Ollama Generators (#1131)

### 🧹 Chores

- Update ruff linting scripts and settings (#1105)


## [integrations/ollama-v1.0.1] - 2024-09-26

### 🐛 Bug Fixes

- Ollama Chat Generator - add missing `to_dict` and `from_dict` methods (#1110)


## [integrations/ollama-v1.0.0] - 2024-09-07

### 🐛 Bug Fixes

- Chat roles for model responses in chat generators (#1030)

### 🚜 Refactor

- [**breaking**] Use ollama python library instead of calling the API with `requests` (#1059)

### 🧪 Testing

- Do not retry tests in `hatch run test` command (#954)

### ⚙️ CI

- Retry tests to reduce flakyness (#836)

### 🧹 Chores

- Update ruff invocation to include check parameter (#853)

### 🌀 Miscellaneous

- Ci: install `pytest-rerunfailures` where needed; add retry config to `test-cov` script (#845)
- Chore: ollama - ruff update, don't ruff tests (#985)

## [integrations/ollama-v0.0.7] - 2024-05-31

### 🚀 Features

- Add streaming support to OllamaChatGenerator (#757)

### 🌀 Miscellaneous

- Chore: add license classifiers (#680)
- Chore: change the pydoc renderer class (#718)

## [integrations/ollama-v0.0.6] - 2024-04-18

### 📚 Documentation

- Disable-class-def (#556)

### 🧹 Chores

- Update docstrings (#499)

### 🌀 Miscellaneous

- Update API docs adding embedders (#494)
- Change testing workflow (#551)
- Remove references to Python 3.7 (#601)
- Add ollama embedder example (#669)
- Fix: change ollama output name to 'meta' (#670)

## [integrations/ollama-v0.0.5] - 2024-02-28

### 🐛 Bug Fixes

- Fix order of API docs (#447)

### 📚 Documentation

- Update category slug (#442)

### 🧹 Chores

- Use `serialize_callable` instead of `serialize_callback_handler` in Ollama (#461)

### 🌀 Miscellaneous

- Ollama document embedder (#400)
- Changed Default Ollama Embedding models to supported model: nomic-embed-text (#490)

## [integrations/ollama-v0.0.4] - 2024-02-12

### 🌀 Miscellaneous

- Ollama: add license (#219)
- Generate api docs (#332)
- Ollama Text Embedder with new format (#252)
- Support for streaming ollama generator (#280)

## [integrations/ollama-v0.0.3] - 2024-01-16

### 🌀 Miscellaneous

- Docs: Ollama docstrings update (#171)
- Add example of OllamaGenerator (#170)
- Ollama Chat Generator (#176)
- Ollama: improve test (#191)
- Mount Ollama in haystack_integrations (#216)

## [integrations/ollama-v0.0.1] - 2024-01-03

### 🌀 Miscellaneous

- Ollama Integration (#132)

<!-- generated by git-cliff -->
